%define book_version 1.02

Name:           gnuchess
Version:        6.2.7
%define subrel 1
Release:        %mkrel 1
Summary:        The GNU chess program
License:        GPLv2+ and Public Domain
Group:          Games/Boards
URL:            http://www.gnu.org/software/chess/
Source0:        ftp://ftp.gnu.org/pub/gnu/chess/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.gnu.org/pub/gnu/chess/%{name}-%{version}.tar.gz.sig
Source2:        ftp://ftp.gnu.org/pub/gnu/chess/book_%{book_version}.pgn.gz
Source3:        ftp://ftp.gnu.org/pub/gnu/chess/book_%{book_version}.pgn.gz.sig
Patch0:         txtJ07eHdR0m6.patch

BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  flex
BuildRequires:  help2man


%description
The gnuchess package contains the GNU chess program.  By default, GNUchess uses
a text-based interface.  Alternatively, GNUchess can be used in conjunction
with other GUI interface, thus serving as a chess engine.

You should install the gnuchess package if you would like to play chess on your
computer. If you'd like to use a graphical interface with GNUchess, you'll also
need to install other GUI interface, such as xboard or eboard.

This package also includes opening book for gnuchess, containing many historic
games played between masters and grandmasters.


%prep
%setup -q
gzip -dc %{_sourcedir}/book_%{book_version}.pgn.gz > book.pgn
%autopatch -p1

%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

# create book
./src/%{name} --addbook book.pgn

%install
%make_install

# move plugins dir
mv %{buildroot}%{_gamesdatadir}/games/plugins %{buildroot}%{_gamesdatadir}/

# install book
install -m0644 book.bin -D %{buildroot}%{_gamesdatadir}/%{name}/book.bin

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_gamesdatadir}/plugins/
%{_infodir}/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Jun 02 2021 ns80 <ns80> 6.2.7-1.1.mga8
+ Revision: 1729207
- add Fedora patch for CVE-2021-30184 (mga#29026)

* Sun May 31 2020 daviddavid <daviddavid> 6.2.7-1.mga8
+ Revision: 1589223
- new version: 6.2.7

* Sun Apr 19 2020 daviddavid <daviddavid> 6.2.6-1.mga8
+ Revision: 1569895
- new version: 6.2.6

* Wed Feb 19 2020 umeabot <umeabot> 6.2.5-5.mga8
+ Revision: 1542509
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 tv <tv> 6.2.5-4.mga8
+ Revision: 1476438
- rebuild with new readline

* Mon Sep 03 2018 tv <tv> 6.2.5-3.mga7
+ Revision: 1256620
- rely on filetriggers for info system (mga#23482)

* Tue Jan 02 2018 wally <wally> 6.2.5-2.mga7
+ Revision: 1189434
- rebuild for new readline

* Tue Aug 15 2017 daviddavid <daviddavid> 6.2.5-1.mga7
+ Revision: 1141059
- new version: 6.2.5

* Sun Nov 13 2016 luigiwalser <luigiwalser> 6.2.4-1.mga6
+ Revision: 1067087
- 6.2.4
- remove upstream patch

* Mon Feb 15 2016 umeabot <umeabot> 6.2.2-2.mga6
+ Revision: 960483
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 ycantin <ycantin> 6.2.2-1.mga6
+ Revision: 895040
- new version 6.2.2

* Wed Oct 15 2014 umeabot <umeabot> 6.1.1-3.mga5
+ Revision: 750960
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.1.1-2.mga5
+ Revision: 679819
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 6.1.1-1.mga5
+ Revision: 591507
- new version 6.1.1

* Sat Oct 19 2013 umeabot <umeabot> 6.0.3-4.mga4
+ Revision: 523935
- Mageia 4 Mass Rebuild

* Mon May 27 2013 kamil <kamil> 6.0.3-3.mga4
+ Revision: 428405
- new version 6.0.3

* Sat Jan 12 2013 umeabot <umeabot> 6.0.2-3.mga3
+ Revision: 352349
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 6.0.2-2.mga3
+ Revision: 324555
- rebuild for Mga3 Beta1

* Mon Mar 05 2012 kamil <kamil> 6.0.2-1.mga2
+ Revision: 218516
- new version 6.0.2
- drop mga-allow-to-open-a-read-only-book.patch - merged upstream
- use new "--addbook" option to generate the book

* Tue Jan 10 2012 kamil <kamil> 6.0.1-3.mga2
+ Revision: 194743
- fix a typo in %%preun

* Tue Jan 10 2012 kamil <kamil> 6.0.1-2.mga2
+ Revision: 194733
- update license
- rename patch readonly_book to mga-allow-to-open-a-read-only-book
- add install and deinstall time requirements on info-install
- add scripts _install_info into post and _remove_install_info into preun
- rebuild against new gcc 4.6.2

* Sat Sep 24 2011 obgr_seneca <obgr_seneca> 6.0.1-1.mga2
+ Revision: 147350
- new version 6.0.1
- removed obsolete Provides for a chessengine
- removed obsolete Obsoletes and Requires for gnuchess-book
- fixed Book Learn feature, allow to open a read-only book file
- changes by Kamil Rytarowski (ryoshu)
- clean up

* Mon Jun 27 2011 fwang <fwang> 6.0.0-1.mga2
+ Revision: 114431
- new version 6.0.0

* Thu Mar 03 2011 ennael <ennael> 5.07-16.mga1
+ Revision: 63739
- imported package gnuchess


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 5.07-16mdv2011.0
+ Revision: 605487
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 5.07-15mdv2010.1
+ Revision: 522740
- rebuilt for 2010.1

* Mon Oct 05 2009 Funda Wang <fwang@mandriva.org> 5.07-14mdv2010.0
+ Revision: 453794
- fix getline build

* Thu Feb 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.07-14mdv2009.1
+ Revision: 345174
- rebuild against new readline

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 5.07-13mdv2009.0
+ Revision: 221093
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 5.07-12mdv2008.1
+ Revision: 178954
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Adam Williamson <awilliamson@mandriva.org> 5.07-10mdv2008.0
+ Revision: 48447
- rebuild for 2008
- Import gnuchess



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 5.07-9mdv2007.0
- Rebuild

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 5.07-8mdk
- Rebuild

* Sat Jul 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 5.07-7mdk
- Patch 0 :Fix Build with Gcc4
- mkrel

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.07-6mdk
- rebuild for new readline

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 5.07-5mdk
- Use gzip tarball instead, for signature verification
- Include opening book, so prepare for a tougher engine ;-)

* Thu Jul 15 2004 Abel Cheung <deaddog@deaddog.org> 5.07-4mdk
- Add back Provides, quite a few frontends can use alternative
  chess engine (crafty and sjeng being a notable example),
  though other packages need fixed requirement

* Tue Jul 13 2004 Michael Scherer <misc@mandrake.org> 5.07-3mdk 
- remove useless Provides

* Thu Dec 11 2003 Abel Cheung <deaddog@deaddog.org> 5.07-2mdk
- add missing buildrequires (thx Stefan's bot)

* Thu Nov 06 2003 Abel Cheung <deaddog@deaddog.org> 5.07-1mdk
- 5.07

* Wed Oct 15 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.06-3mdk
- remove menu item, stupid me..

* Mon Jul 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 5.06-2mdk
- move binary to %%{_Gamesbindir} (closes #4149)
- use %%make macro
- added menu item (used the strategy section icon since it's a chess board:)

* Thu Jun  5 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.06-1mdk
- new version

* Fri Mar  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.05-1mdk
- new version (fixes #2871)

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.04-2mdk
- rebuild for new readline

* Mon Apr  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 5.04-1mdk
- new version
- spec cleanup, use our macros
- fix no-url-tag
- fix obsolete-tag Copyright
- fix use-of-RPM_SOURCE_DIR
- fix update-menus-*

* Sat Aug 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 4.0.pl80-6mdk
- rebuild for cooker

* Sat Sep 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 4.0.p180-5mdk
- BM
- macro's
- compress & strip files with spec helper
- use update_menus and clean_menus

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.pl80-4mdk
- automatically added BuildRequires

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-3mdk
- added menu files

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-2mdk
- changes in spec file for groups
- considered upgrading to version 5.00 (now renamed to chess-5.00)
- but this would have taken away some features (x, curses, etc).
  
* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- update to 4.0pl80.
- provide chessprogram, don't require xboard.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group name

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0, cleaned up spec file.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- BuildRoot'ed

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
